Calculate Forum

Отключение abi_x86_32 по умолчанию

Довольно крупное обновление пришло прошлой ночью для 64-битных систем. Суть его в отключении поддержки 32-битных приложений (флаг ABI_X86_32) по умолчанию на десктопах. Добиться этого получилось путём перечисления всех тех пакетов, которым данная поддержка нужна (~150 шт.). Требуется по зависимостям для таких приложений, как skype, wine, steam и др.

Выключение поддержки позволит:

  • Уменьшить размер пакетов и соответственно образов дистрибутивов;
  • Сделать бинарные пакеты собранные для сервера совместимыми по флагам для установки на десктопах и наоборот;
  • Возможно чуть ускорить работу за счёт уменьшения размера выполняемых файлов и зависимостей.

Сделано это было именно сейчас, а не раньше или позже, потому что в собираемых системах (CLD*, CLDX* и CDS+) накопилось достаточно большое количество различного ПО, которое позволило выявить большую часть блокировок и сформировать файл исключений.

Так как установленные в системе пакеты собраны с флагом abi_x86_32, чтобы избежать блокировок, рекомендуется выполнить обновление пакетов cl-update.

А если у меня в make.conf стоит ABI_X86=“64 32”?

Денис Терехов писал(а):

А если у меня в make.conf стоит ABI_X86=“64 32”?

у /etc/portage/make.conf приоритет перед профильными make.conf … если юзали бинари то канпельнёте лишний раз а если -getbinpkg то ничего не изменится :slight_smile:

Mastodon Mastodon